﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XamDataGridBug
{
    using System.Collections.ObjectModel;

    public class MainViewModel
    {
        private ObservableCollection<Person> peopleDataSource = new ObservableCollection<Person>();

        private ObservableCollection<Person> peopleDataTarget = new ObservableCollection<Person>();

        public ObservableCollection<Person> PeopleDataSource
        {
            get
            {
                return this.peopleDataSource;
            }
            set
            {
                this.peopleDataSource = value;
            }
        }

        public ObservableCollection<Person> PeopleDataTarget
        {
            get
            {
                return peopleDataTarget;
            }
            set
            {
                peopleDataTarget = value;
            }
        }

        public MainViewModel()
        {
            for (int i = 0; i < 10; i++)
            {
                this.peopleDataSource.Add(new Person { Age = i, FirstName = "First" + i, LastName = "Last" + i });
            }
        }

        internal void AddData(Person person)
        {
            this.peopleDataTarget.Add(person);
        }
    }
}
